/*
 * TransparencyMask.h
 *
 */

#ifndef TRANSPARENCYMASK_H_
#define TRANSPARENCYMASK_H_

#include "ArrayRangeException.h"

class TransparencyMask {
public:
	explicit TransparencyMask(int w=40, int h=30);
	virtual ~TransparencyMask();

	unsigned char getMaskValue(int x, int y) const; // TODO implement
	void setMaskValue(int x, int y, int value); // TODO implement

	int getHeight() const {
		return height;
	}
	int getWidth() const {
		return width;
	}

private:
	int width, height;
	unsigned char* buffer;
};



#endif /* TRANSPARENCYMASK_H_ */
